curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkay758p1eanlolqw8&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/NASA/posts/1234567890"}, {"url": "https://www.facebook.com/Meta/posts/9876543210"}]}'
[
{
"url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
"post_id": "1287876623560800",
"post_url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
"comment_id": "Y29tbWVudDox...",
"user_name": "Norma Ester Mercado",
"user_id": "pfbid0...",
"user_url": "https://www.facebook.com/normaester.mercado.1",
"date_created": "2026-04-02T23:46:29.000Z",
"comment_text": "Great post, thanks for sharing!",
"num_likes": 1,
"num_replies": 0,
"attached_files": null,
"type": "Comment",
"reply": true,
"parent_comment_id": "Y29tbWVudDox..."
}
]
Facebook
Collect Facebook comments by URL
Use the Bright Data Web Scraper API to collect Facebook comments by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkay758p1eanlolqw8&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/NASA/posts/1234567890"}, {"url": "https://www.facebook.com/Meta/posts/9876543210"}]}'
[
{
"url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
"post_id": "1287876623560800",
"post_url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
"comment_id": "Y29tbWVudDox...",
"user_name": "Norma Ester Mercado",
"user_id": "pfbid0...",
"user_url": "https://www.facebook.com/normaester.mercado.1",
"date_created": "2026-04-02T23:46:29.000Z",
"comment_text": "Great post, thanks for sharing!",
"num_likes": 1,
"num_replies": 0,
"attached_files": null,
"type": "Comment",
"reply": true,
"parent_comment_id": "Y29tbWVudDox..."
}
]
Query Parameters
string
default:"gd_lkay758p1eanlolqw8"
required
The dataset ID used for this request.
Must be set to
gd_lkay758p1eanlolqw8 to collect Facebook comments data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
"post_id": "1287876623560800",
"post_url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
"comment_id": "Y29tbWVudDox...",
"user_name": "Norma Ester Mercado",
"user_id": "pfbid0...",
"user_url": "https://www.facebook.com/normaester.mercado.1",
"date_created": "2026-04-02T23:46:29.000Z",
"comment_text": "Great post, thanks for sharing!",
"num_likes": 1,
"num_replies": 0,
"attached_files": null,
"type": "Comment",
"reply": true,
"parent_comment_id": "Y29tbWVudDox..."
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lkay758p1eanlolqw8 for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?